Bug 162037 - multimedia/libxine dont build
multimedia/libxine dont build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Juergen Lock
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 19:50 UTC by ermolinis
Modified: 2011-10-31 08:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ermolinis 2011-10-26 19:50:11 UTC
Trying to compile libxine with with fresh ports tree, but get this strange error...


libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../include -I../.. -I../../include -I../../i     nclude -I../../src -I../../src/xine-engine -I../../src/xine-engine -I../../src/xine-utils -     I../../src/input -I../../src/input -I../../lib -I../../lib -I/usr/local/include -I/usr/loca     l/include/ffmpeg -pthread -fvisibility=hidden -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_CO     MPILE -Wpointer-arith -g -fno-force-addr -I/usr/local/include -I/usr/local/include/dvdread      -I/usr/local/include/ffmeg -Wall -Wchar-subscripts -Wnested-externs -Wcast-align -Wmissing-     declarations -Wmissing-prototypes -Wmissing-format-attribute -Wno-pointer-sign -Wformat=2 -     Wno-format-zero-length -Wstrict-aliasing=2 -Werror=implicit-function-declaration -DNDEBUG -     MT xineplug_decode_real_la-real_common.lo -MD -MP -MF .deps/xineplug_decode_real_la-real_co     mmon.Tpo -c real_common.c  -fPIC -DPIC -o .libs/xineplug_decode_real_la-real_common.o
4274 In file included from real_common.c:35:
4275 real_common.h:49: error: '__environ' defined both normally and as an alias
4276 real_common.h:59: error: 'stderr' defined both normally and as an alias
4277 In file included from xine_real_video_decoder.c:49:
4278 real_common.h:49: error: '__environ' defined both normally and as an alias
4279 real_common.h:59: error: 'stderr' defined both normally and as an alias
4280 gmake[2]: *** [xineplug_decode_real_la-real_common.lo] Ошибка 1
4281 gmake[2]: *** Ожидание завершения заданий...
4282 gmake[2]: *** [xineplug_decode_real_la-xine_real_video_decoder.lo] Ошибка 1

Additional Info:
In logs of building in the beginig:

===>  Configuring for libxine-1.1.19_7
aclocal.m4:16: warning: this file was generated for autoconf 2.65.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically `autoreconf'.
configure.ac:167: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
And many more alike messages

How-To-Repeat: cd  /usr/ports/multimedia/libxine
sudo make install clean
Comment 1 Edwin Groothuis freebsd_committer 2011-10-26 19:50:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nox

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Juergen Lock freebsd_committer 2011-10-27 23:04:53 UTC
State Changed
From-To: open->feedback

This builds ok in tinderbox here (8.2) and on pointyhat: (8.1) 

http://pointyhat.freebsd.org/errorlogs/amd64-8-latest-logs/libxine-1.1.19_7.log 
http://pointyhat.freebsd.org/errorlogs/i386-8-latest-logs/libxine-1.1.19_7.log 

so something must be unusual on your box.  Can you please show output of: 

cd /usr/ports/multimedia/libxine && ident Makefile && make showconfig 

Thanx!
Comment 3 dfilter freebsd_committer 2011-10-29 17:58:22 UTC
nox         2011-10-29 16:58:13 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libxine   Makefile 
  Log:
  libxine only builds with -O1 or higher, add a check to avoid more people
  wondering about obscure build failures otherwise.
  
  PR:             ports/162037 [1] (related to)
  Submitted by:   Ilya Ermolin <ermolinis@gmail.com> [1]
  
  Revision  Changes    Path
  1.174     +5 -0      ports/multimedia/libxine/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Mark Linimon freebsd_committer 2011-10-31 08:23:17 UTC
State Changed
From-To: feedback->closed

From misfiled PR ports/162180: 

Date: Mon, 31 Oct 2011 07:27:59 +0300